SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Xen Vendors:   Xen Project
Xen Non-maskable Interrupt Generation Lets Local Guest Users Crash the Host System
SecurityTracker Alert ID:  1031902
SecurityTracker URL:  http://securitytracker.com/id/1031902
CVE Reference:   CVE-2015-2150   (Links to External Site)
Date:  Mar 11 2015
Impact:   Denial of service via local system
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 3.3. and later
Description:   A vulnerability was reported in Xen. A local user on a guest system can cause denial of service conditions on the target host system.

A local user on a guest domain can cause a PCI Express device to issue Unsupported Request (UR) responses. On some platforms, the host may crash.

A guest domain that has access to a non-SR-IOV virtual function PCI Express device can exploit this flaw.

Jan Beulich of SUSE reported this vulnerability.

Impact:   A local user on a guest system can cause target host system to crash.
Solution:   The vendor has issued a fix (xsa120.patch, xsa120-classic.patch).

The vendor's advisory is available at:

http://xenbits.xen.org/xsa/advisory-120.html

Vendor URL:  xenbits.xen.org/xsa/advisory-120.html (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC